Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Enumerations | Functions
cipher_mode.h File Reference
`#include <botan/secmem.h>`
`#include <botan/key_spec.h>`
`#include <botan/exceptn.h>`
`#include <botan/symkey.h>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | Botan::Cipher_Mode

## Namespaces
| Botan

## Enumerations
enum | Botan::Cipher_Dir { Botan::ENCRYPTION, Botan::DECRYPTION }

## Functions
Cipher_Mode * | Botan::get_cipher_mode (const std::string &algo, Cipher_Dir direction)